Delete Opportunities¶
POST /rest/v1/opportunities/delete.json
Method: POST
Path: /rest/v1/opportunities/delete.json
Tag: Opportunities
Operation ID: deleteOpportunitiesUsingPOST
Deletes a list of opportunity records from the target instance. Input records should only have one member, based on the value of 'dedupeBy'. Required Permissions: Read-Write Named Opportunity
Formats¶
- Request:
application/json - Response:
application/json
Request¶
Request body¶
Name: deleteCustomObjectRequest
Required: No
Schema: model: DeleteCustomObjectRequest
deleteCustomObjectRequest
Generated example¶
{
"deleteBy": "string",
"input": [
{
"marketoGUID": "123",
"reasons": [
{
"code": "string",
"message": "string"
}
],
"seq": 123
}
]
}
Referenced models¶
Example request¶
POST {{base_url}}/rest/v1/opportunities/delete.json
Content-Type: application/json
Accept: application/json
{
"deleteBy": "string",
"input": [
{
"marketoGUID": "123",
"reasons": [
{
"code": "string",
"message": "string"
}
],
"seq": 123
}
]
}
Responses¶
200 — OK¶
Schema: model: ResponseOfCustomObject
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"moreResult": false,
"nextPageToken": "example-token",
"requestId": "123",
"result": [
{
"marketoGUID": "123",
"reasons": [
{
"code": "string",
"message": "string"
}
],
"seq": 123
}
],
"success": false,
"warnings": [
{
"code": 123,
"message": "string"
}
]
}
Referenced models¶
Source¶
Generated from swagger-mapi.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.